# DaprProtos.StartWorkflowRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.StartWorkflowRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.StartWorkflowRequest`, `DaprProtos.StartWorkflowRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.StartWorkflowRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsOptions​(String key)` Additional component-specific options for starting the workflow instance.
`com.google.protobuf.ByteString` `getInput()` Input data for the workflow instance.
`String` `getInstanceId()` The ID to assign to the started workflow instance.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` The ID to assign to the started workflow instance.
`Map<String,​String>` `getOptions()` Deprecated.
`int` `getOptionsCount()` Additional component-specific options for starting the workflow instance.
`Map<String,​String>` `getOptionsMap()` Additional component-specific options for starting the workflow instance.
`String` `getOptionsOrDefault​(String key, String defaultValue)` Additional component-specific options for starting the workflow instance.
`String` `getOptionsOrThrow​(String key)` Additional component-specific options for starting the workflow instance.
`String` `getWorkflowComponent()` Name of the workflow component.
`com.google.protobuf.ByteString` `getWorkflowComponentBytes()` Name of the workflow component.
`String` `getWorkflowName()` Name of the workflow.
`com.google.protobuf.ByteString` `getWorkflowNameBytes()` Name of the workflow.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getInstanceId

    String getInstanceId()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The instanceId.

#### getInstanceIdBytes

    com.google.protobuf.ByteString getInstanceIdBytes()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The bytes for instanceId.

#### getWorkflowComponent

    String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The workflowComponent.

#### getWorkflowComponentBytes

    com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The bytes for workflowComponent.

#### getWorkflowName

    String getWorkflowName()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Returns:
  The workflowName.

#### getWorkflowNameBytes

    com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Returns:
  The bytes for workflowName.

#### getOptionsCount

    int getOptionsCount()

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

#### containsOptions

    boolean containsOptions​(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

#### getOptions

    @Deprecated
    Map<String,​String> getOptions()

Deprecated.
Use `getOptionsMap()` instead.

#### getOptionsMap

    Map<String,​String> getOptionsMap()

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

#### getOptionsOrDefault

    String getOptionsOrDefault​(String key,
                               String defaultValue)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

#### getOptionsOrThrow

    String getOptionsOrThrow​(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

#### getInput

    com.google.protobuf.ByteString getInput()

     Input data for the workflow instance.

`bytes input = 5;`

Returns:
  The input.